﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="SortAndPageListView.aspx.vb" Inherits="SortAndPageListView" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:SqlDataSource ID="BooksDataSource" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [Books]"></asp:SqlDataSource>
        <asp:ListView ID="BookList" runat="server" DataSourceID="BooksDataSource">
            <LayoutTemplate>
                <h2>Welcome To My Bookstore!</h2>
                <asp:LinkButton ID="SortByTitle" runat="server" Text="Sort By Title" CommandName="Sort" CommandArgument="Title"></asp:LinkButton>
                <asp:LinkButton ID="SortByPrice" runat="server" Text="Sort By Price" CommandName="Sort" CommandArgument="Price"></asp:LinkButton>
                <asp:PlaceHolder ID="itemPlaceholder" runat="server"></asp:PlaceHolder>
            </LayoutTemplate>
            <ItemTemplate>
                <h3><%# Eval("Title")%></h3>
                <p>
                    <b>Genre: </b>
                    <asp:Label runat="server" ID="GenreLabel" Text='<%# Eval("Genre") %>'></asp:Label>
                    <br />
                    <b>Price: </b>
                    <%# Eval("Price", "{0:c}")%>
                    <br />
                    <asp:CheckBox id="RecommendedCheckBox" runat="server"
                                Checked='<%# Eval("Recommended") %>'
                                Text="Recommended" Enabled="false" />
                </p>
            </ItemTemplate>
            
            <ItemSeparatorTemplate>
                <hr />
            </ItemSeparatorTemplate>
        </asp:ListView>
    </div>
    <asp:DataPager ID="DataPager1" runat="server" PagedControlID="BookList" 
        PageSize="2">
        <Fields>
            <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                ShowLastPageButton="True" />
        </Fields>
    </asp:DataPager>
    </form>
</body>
</html>
